# ImagickDraw::pathEllipticArcRelative

(PECL imagick 2.0.0)

ImagickDraw::pathEllipticArcRelative — Draws an elliptical arc

### Description

ImagickDraw::pathEllipticArcRelative ( float `$rx` , float `$ry` , float `$x_axis_rotation` , bool `$large_arc_flag` , bool `$sweep_flag` , float `$x` , float `$y` ) : bool
Warning

This function is currently not documented; only its argument list is available.

Draws an elliptical arc from the current point to (x, y) using relative coordinates. The size and orientation of the ellipse are defined by two radii (rx, ry) and an xAxisRotation, which indicates how the ellipse as a whole is rotated relative to the current coordinate system. The center (cx, cy) of the ellipse is calculated automatically to satisfy the constraints imposed by the other parameters. largeArcFlag and sweepFlag contribute to the automatic calculations and help determine how the arc is drawn. If largeArcFlag is `TRUE` then draw the larger of the available arcs. If sweepFlag is true, then draw the arc matching a clock-wise rotation.

### Parameters

`rx`

  x radius

`ry`

  y radius

`x_axis_rotation`

  x axis rotation

`large_arc_flag`

  large arc flag

`sweep_flag`

  sweep flag

`x`

  x coordinate

`y`

  y coordinate

### Return Values

No value is returned.